package api

import (
	"fmt"

	"github.com/gin-gonic/gin"
)

// RegRouters 注册路由
func RegRouters(svc *Service) {

	payGroup := svc.NewGinRouter("/pay")
	payGroup.group.Use(Logger())

	// 个体支付
	PaySingle(payGroup)

	// 多商户支付
	PayMulti(payGroup)

	// 支付点管理
	PayPoint(payGroup)

	// 支付订单
	// PayOrder(payGroup)

	// 其他测试
	payGroup.GET("/print", PrintParam)
}

func Logger() gin.HandlerFunc {

	return func(c *gin.Context) {
		// 开始时间
		// start := time.Now()
		// 处理请求
		c.Next()
		// 结束时间
		// end := time.Now()
		//执行时间
		// latency := end.Sub(start)

		path := c.Request.URL.Path

		clientIP := c.ClientIP()
		// method := c.Request.Method
		// statusCode := c.Writer.Status()

		out := fmt.Sprintf("%15s=> %s", clientIP, path)
		fmt.Println(out)
	}
}
